Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
Get Wallet by Wallet ID
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}
{
  "wallet": {
    "id": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "type": "VAULT",
    "created_at": "2023-11-07T05:31:56Z",
    "address": "<string>",
    "visibility": "WALLET_VISIBILITY_UNSPECIFIED",
    "network": {
      "id": "<string>",
      "type": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);

GetWalletByIdRequest request = new GetWalletByIdRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .walletId("WALLET_ID_HERE")
    .build();

GetWalletByIdResponse response = walletsService.getWalletById(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

Portfolio ID

wallet_id
string
required

Wallet ID

Response

200 - application/json

A successful response.

wallet
object